# REST API

- [HTTP request example](https://en.apis.alltick.co/rest-api/http-request-example.md): HTTP request example
- [HTTP interface API](https://en.apis.alltick.co/rest-api/http-interface-api.md): Websocket Quotes API Address Description GET Single Product K line query（High Low, Open, Close） GET Order Book（Depth） Query GET Latest transaction price query（Latest Price）
- [GET Single Product K line query（High Low, Open, Close）](https://en.apis.alltick.co/rest-api/http-interface-api/get-single-product-k-line-query.md): This interface can be used to query historical K-line data, but it only allows querying one product at a time. It is recommended to cache the retrieved historical K-lines in a local database. For clie
- [POST Query the latest 2 K lines of products in batches（High , Low, Open, Close）](https://en.apis.alltick.co/rest-api/http-interface-api/post-query-the-latest-2-k-lines-of-products-in-batches.md): This interface allows batch querying of multiple products and multiple K-line types (e.g., 1-minute, 15-minute, 30-minute), but only the latest two K-lines can be queried at once. For clients using th
- [GET Order Book（Depth） Query](https://en.apis.alltick.co/rest-api/http-interface-api/get-order-book-depth-query.md)
- [GET Latest transaction price query（Latest Price）](https://en.apis.alltick.co/rest-api/http-interface-api/get-latest-transaction-price-query.md)
- [GET Stocks product information query](https://en.apis.alltick.co/rest-api/http-interface-api/get-stocks-product-information-query.md): This interface only supports batch requests for basic information on US, HK, and A-share products. Request Frequency
- [GET Get Trading Halt and Resumption Information](https://en.apis.alltick.co/rest-api/http-interface-api/get-stocks-product-information-query-1.md): This interface only supports batch requests for basic information on US, HK, and A-share products. Request Frequency
- [Price changes, Market closure, Holidays, Limit up/down, New listings, and Delistings](https://en.apis.alltick.co/rest-api/http-interface-api/get-stocks-product-information-query-2.md): Price Change Calculation Alltick API does not provide price change or 24-hour price change fields. Users can calculate price changes using Alltick data. 1、Daily Price Change Calculation Method 1:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.apis.alltick.co/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
